package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseRnrFpPageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆信息表(FpCarInfo)传输对象类
 *
 * @author yuy336
 * @since 2022-06-28 19:43:33
 */
@ApiModel(value = "车辆信息表", description = "车辆信息表")
@Data
public class FpCarInfoDTO extends BaseRnrFpPageDTO {

    private static final long serialVersionUID = -71823877902223939L;
    
    @ApiModelProperty(value = "${column.comment}")
    private String uuid;

    @ApiModelProperty
    private String MSISDN;
    
    @ApiModelProperty(value = "道路机动 车辆生产企业名称")
    private String nameVehicleEnterprise;
    
    @ApiModelProperty(value = "车辆识别代号或车架号")
    private String vin;
    
    @ApiModelProperty(value = "车辆类型（1表示乘用车及客车，2表示货车，3表 示半挂车牵引车，4表示半挂车，5表示 - 12 - 两轮摩托车和两轮轻便摩托车，6表示 三轮摩托车和三轮轻便摩托车，7表示 三轮汽车，8表示低速货车，9表示专用 汽车，10表示非《公告》车辆产品。）")
    private String vehicleType;
    
    @ApiModelProperty(value = "车辆产地")
    private String placeOfOriginOfVehicle;
    
    @ApiModelProperty(value = "车辆品牌")
    private String vehicleDepartment;
    
    @ApiModelProperty(value = "车辆名称")
    private String vehicleName;
    
    @ApiModelProperty(value = "车辆型号")
    private String vehicleNum;
    
    @ApiModelProperty(value = "车型通用名称")
    private String vehicleModel;
    
    @ApiModelProperty(value = "车身颜色")
    private String bodyColor;
    
    @ApiModelProperty(value = "燃料种类")
    private String fuelType;
    
    @ApiModelProperty(value = "发动机号码")
    private String engineNum;
    
    @ApiModelProperty(value = "电动机序列号")
    private String motorNum;
    
    @ApiModelProperty(value = "车辆出厂时间")
    private String vehicleDepartureTime;
    
    @ApiModelProperty(value = "车辆销售时间")
    private String vehicleSalesTime;
    
    @ApiModelProperty(value = "车辆销售信息变更时间")
    private String vehicleSalesUpdateTime;
    
    @ApiModelProperty(value = "车牌号码")
    private String licensePlateNumber;
    
    @ApiModelProperty(value = "车辆销售 渠道名称")
    private String vehicleChannelName;
    
    @ApiModelProperty(value = "车辆销售渠道类型")
    private String vehicleChannelType;
    
    @ApiModelProperty(value = "车辆销售渠道员工姓名")
    private String vehicleStaffName;
    
    @ApiModelProperty(value = "车辆销售渠道地址")
    private String vehicleLogginAddress;
    
    @ApiModelProperty(value = "组织编码")
    private String orgid;
    
    @ApiModelProperty(value = "租户编码")
    private String tenantno;
    
    @ApiModelProperty(value = "更新人")
    private String operator;

    @ApiModelProperty(value = "批次号")
    private String tagId;

    @ApiModelProperty(value = "返回的错误信息，作为入参时不需要传递")
    private String failReason;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;
}

