package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class ImportSimParamDTO {

    /**组织ID*/
    @ApiModelProperty(value = "组织uuid，为主机厂的组织", required = true)
    @NotBlank(message = "组织编码不能为空")
    private String organizationId;

    /**标签uuid*/
    @ApiModelProperty(value = "业务标签uuid")
    private String tagUuid;

    /**SIM卡列表*/
    @ApiModelProperty(value = "需要添加的sim卡列表", required = true)
    @NotNull(message = "卡列表信息不能为空")
    List<SimDTO> simList;

    /**创建人*/
    @ApiModelProperty(value = "创建人", required = false)
    private String creator;

}
