package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author stayAnd
 * @date 2022/8/2
 */
@Data
public class RnrOrderListQueryDTO {


	private Integer orderStatus;


	private String tenantNo;


	private String vin;


	private String iccid;

	/**
	 * 查询时间开始
	 */
	private Date createTimeQueryStart;

	/**
	 * 查询时间结束
	 */
	private Date createTimeQueryEnd;

	@ApiModelProperty(value = "当前页码")
	@NotNull
	private Integer currPage;

	@ApiModelProperty(value = "页面显示行数")
	@NotNull
	@Max(value = 100,message = "页码最大100")
	private Integer pageSize;



	/**
	 * 业务类型
	 */
	private Integer orderType;


	/**
	 * 企业名称
	 */
	private String companyName;


	/**
	 * 车主/责任人
	 */
	private String fullName;

	/**
	 * 车主/责任人手机号
	 */
	private String phone;


	/**
	 * 车主/责任人证件号
	 */
	private String certNumber;

	/**
	 * 组织名称
	 */
	private String organizationName;
}
