package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author stayAnd
 * @date 2022/4/18
 */
@Data
public class RnrRequestDTO {

	/**
	 * 租户编号
	 */
	private String tenantNo;

	/**
	 * 业务id
	 */
	private String bizUuid;

	/**
	 * 流水号
	 */
	@NotBlank(message = "流水号不能为空")
	private String serialNumber;

	/**
	 * 活体视屏id
	 */
	private String videoBase64;


	/**
	 * 获取活体数字验证码时 返回的唯一标识
	 */

	private String requestId;


	/**
	 *  拍摄活体视频的人的信息
	 */
	private RnrPersonInfo matchVideoPerosinInfo;

	/**
	 * 非活体视频的人的信息 只需要做ocr和身份信息核查
	 */
	private List<RnrPersonInfo> peorsonList;


	@Data
	public static class RnrPersonInfo{

		/**
		 * 人的id
		 */
		private String personId;

		/**
		 * 是否是身份证
		 */
		private Boolean isIdentityCard;

		/**
		 * 人脸照base64
		 */
		private String facePicBase64;

		/**
		 * 国徽照 base64
		 */
		private String nationalEmblemPicBase64;

		/**
		 * 证件号码
		 */

		private String certNumber;

		/**
		 * 证件姓名
		 */
		private String fullName;

		/**
		 * 证件失效时期
		 */
		private String expiredDate;



		/**
		 * 性别
		 */
		private Integer gender;
	}
}
