package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class SimVehicleDTO {

    /**vin码*/
    @ApiModelProperty(value = "VIN码", required = true)
    @NotBlank(message = "VIN码不能为空")
    private String vin;

    /**ICCID*/
    @ApiModelProperty(value = "iccid", required = true)
    @NotBlank(message = "iccid不能为空")
    private String iccid;

    @ApiModelProperty(value = "msisdn")
    private String msisdn;

    @ApiModelProperty(value = "imsi")
    private String imsi;

    @ApiModelProperty(value = "ip")
    private String ip;

    @ApiModelProperty(value = "是否允许车主自己实名")
    private Boolean realBySelf = false;

    /**失败原因*/
    @ApiModelProperty(value = "返回的错误信息，作为入参时不需要传递")
    private String failReason;

    @ApiModelProperty(value = "绑定关系 0-已绑定；1-已解绑")
    private Integer bindStatus;

    /**sim卡运营服务商*/
    @ApiModelProperty(value = "sim卡所属运营服务商")
    private String serviceProvider;

    /**出厂年份*/
    @ApiModelProperty(value = "出厂年份")
    private Integer years;

    /**品牌编码*/
    @ApiModelProperty(value = "sim卡所安装的品牌编码")
    private String brand;

    @ApiModelProperty(value = "sim卡所安装的品牌名称")
    private String brandName;

    /**车型编码*/
    @ApiModelProperty(value = "sim卡所安装的车型编码")
    private String vehicleModel;

    /**车型名称*/
    @ApiModelProperty(value = "sim卡所安装的车型名称")
    private String vehicleModelName;

    /**车系编码*/
    @ApiModelProperty(value = "sim卡所安装的车系编码")
    private String vehicleSeries;

    /**车系名称*/
    @ApiModelProperty(value = "sim卡所安装的车系名称")
    private String vehicleSeriesName;

    /**sim卡安装位置*/
    @ApiModelProperty(value = "sim卡所安装在的位置")
    private String installLocation;



}
