package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * 查询车卡关系列表参数
 */
@Data
public class SimVehicleQueryDTO {

    /**组织id*/
    @NotBlank(message = "组织(车厂)编码不能为空")
    private String organizationId;

    /**VIN码*/
    private String vin;

    /**ICCID*/
    private String iccid;

    /**绑定状态*/
    private Integer bindStatus;

    /**创建开始时间*/
    private Date startCreateTime;

    /**创建结束时间*/
    private Date endCreateTime;

    /**开始页*/
    private Integer currPage = 1;

    /**每页条数*/
    private Integer pageSize = 20;

}
