package com.cusc.nirvana.user.rnr.fp.converter;

import com.cusc.nirvana.user.rnr.fp.dao.entity.FpRnrRelationInfoPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpRnrRelationInfoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名关联信息(FpRnrRelationInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-04-14 20:43:07
 */
@Mapper
public interface FpRnrRelationInfoConverter {

    FpRnrRelationInfoConverter INSTANCE = Mappers.getMapper(FpRnrRelationInfoConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpRnrRelationInfoDTO poToDto(FpRnrRelationInfoPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpRnrRelationInfoPO dtoToPo(FpRnrRelationInfoDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<FpRnrRelationInfoDTO> poListToDtoList(List<FpRnrRelationInfoPO> list);
}
