package com.cusc.nirvana.user.rnr.fp.converter;

import com.cusc.nirvana.user.rnr.fp.dao.entity.FpRnrSmsInfoPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpRnrSmsInfoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名业务短信信息(FpRnrSmsInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-04-19 20:39:07
 */
@Mapper
public interface FpRnrSmsInfoConverter {

    FpRnrSmsInfoConverter INSTANCE = Mappers.getMapper(FpRnrSmsInfoConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpRnrSmsInfoDTO poToDto(FpRnrSmsInfoPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpRnrSmsInfoPO dtoToPo(FpRnrSmsInfoDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<FpRnrSmsInfoDTO> poListToDtoList(List<FpRnrSmsInfoPO> list);
}
