package com.cusc.nirvana.user.rnr.fp.converter;

import com.cusc.nirvana.user.rnr.fp.dao.entity.FpUserOperationLogPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpUserOperationLogDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 用户操作日志(FpUserOperationLog)表服务接口
 *
 * @author yuy336
 * @since 2022-06-20 09:38:35
 */
@Mapper
public interface FpUserOperationLogConverter {

    FpUserOperationLogConverter INSTANCE = Mappers.getMapper(FpUserOperationLogConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpUserOperationLogDTO poToDto(FpUserOperationLogPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpUserOperationLogPO dtoToPo(FpUserOperationLogDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<FpUserOperationLogDTO> poListToDtoList(List<FpUserOperationLogPO> list);
}
