package com.cusc.nirvana.user.rnr.fp.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.fp.common.po.BaseInstructionPO;
import lombok.Data;

import java.util.Date;

/**
 * 指令信息表
 */
@TableName("fp_rnr_t1_instruction")
@Data
public class InstructionPO extends BaseInstructionPO {

    /**
     * 企业编码
     */
    @TableField("code")
    private String code;

    @TableField("retry_count")
    private int retryCount;

    /**
     * 开户信息上报状态
     * 0 待上传
     * 1 上传失败
     * 2 上传成功
     */
    @TableField("user_upload_status")
    private Integer userUploadStatus;

    /**
     * 车辆信息上报状态
     * 0 待上传
     * 1 上传失败
     * 2 上传成功
     */
    @TableField("vehicle_upload_status")
    private Integer vehicleUploadStatus;

    /**
     * 图片类信息上报状态
     * 0 待上传
     * 1 上传失败
     * 2 上传成功
     */
    @TableField("file_upload_status")
    private Integer fileUploadStatus;

    /**
     * 更新时间
     */
    @TableField(value = "update_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date updateTime;
}
