package com.cusc.nirvana.user.rnr.fp.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * Description: T1开户信息DTO
 * <br />
 * CreateDate 2022-04-02 15:13:40
 *
 * @author yuyi
 **/
@Data
@ApiModel("T1开户信息DTO")
public class T1UserInfoDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("车联网卡MSISDN   M")
    @JSONField(name = "MSISDN")
    private String MSISDN;

    @ApiModelProperty("车联网卡ICCID    M")
    @JSONField(name = "ICCID")
    private String ICCID;

    @ApiModelProperty("车辆识别代号或车架号    M")
    @JSONField(name = "VIN")
    private String VIN;

    @ApiModelProperty("车辆状态  M")
    @JSONField(name = "VehicleStatus")
    private String VehicleStatus;

    @ApiModelProperty("状态变更时间   C")
    @JSONField(name = "StatusUpdateTime")
    private String StatusUpdateTime;

    @ApiModelProperty("受理时间 M")
    @JSONField(name = "AcceptTime")
    private String AcceptTime;

    @ApiModelProperty("用户类型 M 1表示个人用户 2表示单位用户")
    @JSONField(name = "CustomerType")
    private String CustomerType;

    @ApiModelProperty("用户姓名 M")
    @JSONField(name = "CustomerName")
    private String CustomerName;

    @ApiModelProperty("用户证件类型   M")
    @JSONField(name = "CustomerCertType")
    private String CustomerCertType;

    @ApiModelProperty("用户证件号码   M")
    @JSONField(name = "CustomerCertNumber")
    private String CustomerCertNumber;

    @ApiModelProperty("用户证件地址   M")
    @JSONField(name = "CustomerCertAddress")
    private String CustomerCertAddress;

    @ApiModelProperty("用户证件有效期  M")
    @JSONField(name = "CustomerCertDate")
    private String CustomerCertDate;

    @ApiModelProperty("用户通讯地址   C   获取到时必须上报")
    @JSONField(name = "CustomerPosterAddress")
    private String CustomerPosterAddress;

    @ApiModelProperty("用户通信号码   C   获取到时必须上报")
    @JSONField(name = "CustomerPosterTelephone")
    private String CustomerPosterTelephone;

    @ApiModelProperty("单位名称   C 销售给单位用户时必填")
    @JSONField(name = "CompanyName")
    private String CompanyName;

    @ApiModelProperty("单位证件类型   C   销售给单位用户时必填")
    @JSONField(name = "CompanyCertType")
    private String CompanyCertType;

    @ApiModelProperty("单位证件号码   C 销售给单位用户时必填")
    @JSONField(name = "CompanyCertNumber")
    private String CompanyCertNumber;

    @ApiModelProperty("单位证件地址   C 销售给单位用户时必填")
    @JSONField(name = "CompanyCertAddress")
    private String CompanyCertAddress;

    @ApiModelProperty("单位通讯地址   C 销售给单位用户时必填")
    @JSONField(name = "CompanyPosterAddress")
    private String CompanyPosterAddress;

    @ApiModelProperty("责任人姓名   C 销售给单位用户时必填")
    @JSONField(name = "CorporationName")
    private String CorporationName;

    @ApiModelProperty("责任人证件类型   C 销售给单位用户时必填")
    @JSONField(name = "CorporationCertType")
    private String CorporationCertType;

    @ApiModelProperty("责任人证件号码   C 销售给单位用户时必填")
    @JSONField(name = "CorporationCertNumber")
    private String CorporationCertNumber;

    @ApiModelProperty("责任人证件地址   C 销售给单位用户时必填")
    @JSONField(name = "CorporationCertAddress")
    private String CorporationCertAddress;

    @ApiModelProperty("责任人通讯地址   C 销售给单位用户情况下，企业获取到时必填")
    @JSONField(name = "CorporationPosterAddress")
    private String CorporationPosterAddress;

    @ApiModelProperty("责任人电话   C 销售给单位用户时必填")
    @JSONField(name = "CorporationTelephone")
    private String CorporationTelephone;

    @ApiModelProperty("代/经办人姓名   C 个人委托代办时必填")
    @JSONField(name = "OperatorName")
    private String OperatorName;

    @ApiModelProperty("代/经办人证件类型   C 个人委托代办时必填")
    @JSONField(name = "OperatorCertType")
    private String OperatorCertType;

    @ApiModelProperty("代/经办人证件号码   C 个人委托代办时必填")
    @JSONField(name = "OperatorCertNumber")
    private String OperatorCertNumber;

    @ApiModelProperty("代/经办人证件地址   C 个人委托代办时必填")
    @JSONField(name = "OperatorCertAddress")
    private String OperatorCertAddress;

    @ApiModelProperty("代/经办人通讯地址   C 个人委托代办时必填")
    @JSONField(name = "OperatorPosterAddress")
    private String OperatorPosterAddress;

    @ApiModelProperty("代/经办人电话   C 个人委托代办时必填")
    @JSONField(name = "OperatorTelephone")
    private String OperatorTelephone;

    @ApiModelProperty("照片文件名   C 填写用户对应照片的压缩包名，命名规则ICCID+xcz.zip")
    @JSONField(name = "PhoName")
    private String PhoName;

    @ApiModelProperty("运营商   M")
    @JSONField(name = "ServiceProvider")
    private String serviceProvider;

    @ApiModelProperty("扩展字段   O 可选字段，可扩展任意若干字段")
    @JSONField(name = "ExtendPara")
    private String ExtendPara;
}
