package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dao.entity.FpRnrProtocolManagePO;
import com.cusc.nirvana.user.rnr.fp.dto.FpRnrProtocolManageDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * (FpRnrProtocolManage)表服务接口
 *
 * @author yuy336
 * @since 2022-06-01 10:52:45
 */
public interface IFpRnrProtocolManageService extends IService<FpRnrProtocolManagePO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    FpRnrProtocolManageDTO getByUuid(FpRnrProtocolManageDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
     Response<List<FpRnrProtocolManageDTO>> queryByList(FpRnrProtocolManageDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<FpRnrProtocolManageDTO> queryByPage(FpRnrProtocolManageDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpRnrProtocolManageDTO insert(FpRnrProtocolManageDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpRnrProtocolManageDTO update(FpRnrProtocolManageDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(FpRnrProtocolManageDTO bean);

}
