package com.cusc.nirvana.user.rnr.fp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.fp.dao.entity.FpUserOperationLogPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpUserOperationLogDTO;

import java.util.List;

/**
 * 用户操作日志(FpUserOperationLog)表服务接口
 *
 * @author yuy336
 * @since 2022-06-20 09:38:35
 */
public interface IFpUserOperationLogService extends IService<FpUserOperationLogPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    FpUserOperationLogDTO getByUuid(FpUserOperationLogDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<FpUserOperationLogDTO> queryByList(FpUserOperationLogDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<FpUserOperationLogDTO> queryByPage(FpUserOperationLogDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpUserOperationLogDTO insert(FpUserOperationLogDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpUserOperationLogDTO update(FpUserOperationLogDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(FpUserOperationLogDTO bean);

}
