package com.cusc.nirvana.user.rnr.project.handler;


import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardInfoDTO;
import com.cusc.nirvana.user.rnr.project.dto.ProjectCardExistResponseDTO;

import java.util.List;

/**
 * @author stayAnd
 * @date 2022/4/7
 */
public interface VinCardHandler {


       /**
     * 根据vin码查询iccid
     *
     * @param vin vin
     * @return
     */
    VinCardInfoDTO queryCardByVin(String vin);

    /**
     * 批量根据vin码查询iccid
     *
     * @param vinList vin 列表
     * @return
     */
    List<VinCardInfoDTO> queryCardByVinList(List<String> vinList);

    /**
     * 校验卡是否存在
     *
     * @param iccid
     * @return
     */
    Response<ProjectCardExistResponseDTO> isCardExist(String iccid);


}
